<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
	<th:block th:include="include :: header('考试管理')" />
</head>
<body class="gray-bg">
    <div class="container-div">
		<div class="row">
			<div class="col-sm-12 search-collapse">
				<form id="notice-form">
					<div class="select-list">
						<ul>
							<li>
								考试类型：<select name="openType" th:with="type=${@dict.getType('sys_open_type')}">
								<option value="">请选择</option>
								<option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictValue}"></option>
							</select>
							</li>
							<li>
								考试名称：<input type="text" name="title"/>
							</li>
							<li class="select-time">
								<label>考试时间： </label>
								<input type="text" class="time-input" id="startTime" placeholder="开始时间" name="startTime"/>
								<span>-</span>
								<input type="text" class="time-input" id="endTime" placeholder="结束时间" name="endTime"/>
							</li>
							<li>
								<a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i class="fa fa-search"></i>&nbsp;搜索</a>
								<a class="btn btn-warning btn-rounded btn-sm" onclick="$.form.reset()"><i class="fa fa-refresh"></i>&nbsp;重置</a>
							</li>
						</ul>
					</div>
				</form>
			</div>

	        <div class="btn-group-sm" id="toolbar" role="group">
		        <a class="btn btn-success" onclick="$.operate.addTab()" shiro:hasPermission="system:exam:add">
		            <i class="fa fa-plus"></i> 新增
		        </a>
		        <a class="btn btn-primary single disabled" onclick="$.operate.editTab()" shiro:hasPermission="system:exam:edit">
		            <i class="fa fa-edit"></i> 修改
		        </a>
		        <a class="btn btn-danger multiple disabled" onclick="$.operate.removeAll()" shiro:hasPermission="system:exam:remove">
		            <i class="fa fa-remove"></i> 删除
		        </a>
	        </div>

	        <div class="col-sm-12 select-table table-striped">
	            <table id="bootstrap-table"></table>
	        </div>
    	</div>
    </div>
    <th:block th:include="include :: footer" />
    <script th:inline="javascript">
        var editFlag = [[${@permission.hasPermi('system:exam:edit')}]];
        var removeFlag = [[${@permission.hasPermi('system:exam:remove')}]];
		var types = [[${@dict.getType('sys_open_type')}]];
		var datas = [[${@dict.getType('sys_exam_state')}]];
        var prefix = ctx + "system/newExam";
		var prefixUser = ctx + "system/userExam";
        $(function() {
            var options = {
				uniqueId: "id",
                url: prefix + "/list",
                createUrl: prefix + "/add",
                updateUrl: prefix + "/edit/{id}",
                removeUrl: prefix + "/remove",
                modalName: "考试",
                columns: [{
		            checkbox: true
		        },
				{
					field : 'content',
					title : '考试名称'
				},
				{
					field: 'openType',
					title: '考试类型',
					align: 'center',
					formatter: function(value, row, index) {
						return $.table.selectDictLabel(types, value);
					}
				},
				{
					field: 'timeLimit',
					title: '是否限时',
					align: 'center',
					formatter: function(value, row, index) {
						if(value=='1'){
							return '限时';
						}else{
							return '不限时';
						}
					}
				},
				{
					field: 'totalScore',
					title: '考试总分',
					sortable: true
				},
				{
					field: 'qualifyScore',
					title: '及格线',
					sortable: true
				},
				{
					title: '状态',
					align: 'center',
					formatter: function (value, row, index) {
						return statusTools(row);
					}
				},
				{
		            field: 'createTime',
		            title: '创建时间',
		            sortable: true
		        },
		        {
		            title: '操作',
		            align: 'center',
		            formatter: function(value, row, index) {
		            	var actions = [];
						actions.push('<a class="btn btn-warning btn-xs" href="javascript:void(0)" onclick="detail(\'' + row.id + '\')"><i class="fa fa-search"></i>详细</a> ');
						actions.push('<a class="btn btn-success btn-xs ' + editFlag + '" href="javascript:void(0)" onclick="$.operate.editTab(\'' + row.id + '\')"><i class="fa fa-edit"></i>编辑</a> ');
                        actions.push('<a class="btn btn-danger btn-xs ' + removeFlag + '" href="javascript:void(0)" onclick="$.operate.remove(\'' + row.id + '\')"><i class="fa fa-remove"></i>删除</a>');
						return actions.join('');
		            }
		        }]
            };
            $.table.init(options);
        });

		/*资产列表-详细*/
		function detail(id) {
			var url = prefixUser + '/toExam/' + id;
			$.modal.openTab("考试人员", url);
		}


		/* 用户状态显示 */
		function statusTools(row) {
			if (row.state == 1) {
				return '<i class=\"fa fa-toggle-off text-info fa-2x\" onclick="enable(\'' + row.id + '\')"></i> ';
			} else {
				return '<i class=\"fa fa-toggle-on text-info fa-2x\" onclick="disable(\'' + row.id + '\')"></i> ';
			}
		}

		/* 停用 */
		function disable(id) {
			$.modal.confirm("确认要停用吗？", function() {
				$.operate.post(prefix + "/changeStatus", { "id": id, "state": 1 });
			})
		}

		/* 启用 */
		function enable(id) {
			$.modal.confirm("确认要启用吗？", function() {
				$.operate.post(prefix + "/changeStatus", { "id": id, "state": 0 });
			})
		}

    </script>
</body>
</html>
